sparsereg
=========

[![image](https://travis-ci.org/Ohjeah/sparsereg.svg?branch=master)](https://travis-ci.org/Ohjeah/sparsereg) [![image](https://badge.fury.io/py/sparsereg.svg)](https://badge.fury.io/py/sparsereg) [![image](https://codecov.io/gh/Ohjeah/sparsereg/branch/master/graph/badge.svg)](https://codecov.io/gh/Ohjeah/sparsereg) [![image](https://zenodo.org/badge/80389199.svg)](https://zenodo.org/badge/latestdoi/80389199)

**sparsereg** is a collection of modern sparse (regularized) regression
algorithms.

Installation
------------

`pip install sparsereg`

Citation
--------

If you use sparsereg please consider a citation:

```
@misc{markus_quade_sparsereg,
  author       = {Markus Quade},
  title        = {sparsereg - collection of modern sparse regression algorithms},
  month        = feb,
  year         = 2018,
  doi          = {10.5281/zenodo.1173754},
  url          = {https://github.com/ohjeah/sparsereg}
}
```

Implemented algorithms
----------------------

-   Mcconaghy, T. (2011). FFX: Fast, Scalable, Deterministic Symbolic
    Regression Technology. Genetic Programming Theory and Practice IX,
    235-260. [DOI:
    10.1007/978-1-4614-1770-5\_13](http://dx.doi.org/10.1007/978-1-4614-1770-5_13)
-   Brunton, Steven L., Joshua L. Proctor, and J. Nathan Kutz.
    "Discovering governing equations from data by sparse identification
    of nonlinear dynamical systems." Proceedings of the National Academy
    of Sciences 113.15 (2016): 3932-3937. [DOI:
    10.1073/pnas.1517384113](http://dx.doi.org/10.1073/pnas.1517384113)
-   Bouchard, Kristofer E. "Bootstrapped Adaptive Threshold Selection
    for Statistical Model Selection and Estimation." arXiv preprint
    arXiv:1505.03511 (2015).
-   Ignacio Arnaldo, Una-May O'Reilly, and Kalyan Veeramachaneni.
    "Building Predictive Models via Feature Synthesis." In Proceedings
    of the 2015 Annual Conference on Genetic and Evolutionary
    Computation (GECCO '15), Sara Silva (Ed.). ACM, New York, NY, USA,
    983-990. [DOI:
    10.1145/2739480.2754693](http://dx.doi.org/10.1145/2739480.2754693)
